Subject: Re: Updated Tcl Tk and Tix
From: "S. L." <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 11 Jun 2002 11:59:32 +0200 (MEST)

[...]
> Now you've confused me, I'm not sure what you are getting at here... Why
> is what I'm saying off topic?  The tcl/tk suite that uses mingw/w32api is
> already distributed in the mainline distribution.  The point I was making
[...]

You're right about tcl/tk "mingw/w32api", but I'd consider that package
(20001125) as an example of "how must not be provided" cygwin packages.

[...]
> is the same one you summerized in the end, we need an autotools enabled
> tcltk suite which generates both a Win32api and POSIX versions.  To
> further elaborate, maybe the Win32 libraries ought to reside in the
> win32api directory with it's own version of {Tk Tcl}Config.sh residing
> there, too.  Perhaps wrapper scripts could be used, in the same manner as
[...]

Here the confusion I was talking, rises again. All GUI shells from tcl/tk
suite, would use win32api, wether they are cygwin (POSIX enabled), or mingw.

SLao

-- 
GMX - Die Kommunikationsplattform im Internet.
http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/